Skip to main content
GET
/
v1
/
contacts
/
{identifier}
/
messages
/
{messageId}
Get a message by ID for a contact
curl --request GET \
  --url https://app.chatbotx.io/api/v1/contacts/{identifier}/messages/{messageId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "conversationId": "<string>",
  "contactInboxId": "<string>",
  "workspaceId": "<string>",
  "text": "<string>",
  "contentAttributes": "<string>",
  "sourceId": "<string>",
  "senderId": null,
  "clientId": "<string>",
  "attachments": [
    {
      "id": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "sourceId": "<string>",
      "mimeType": "<string>",
      "width": -1,
      "height": -1,
      "size": -1,
      "thumbnailPath": "<string>",
      "originPath": "<string>",
      "name": "<string>",
      "workspaceId": "<unknown>",
      "conversationId": "<unknown>",
      "messageId": "<unknown>",
      "url": "<string>"
    }
  ],
  "user": {
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "email": "<string>",
    "emailVerified": true,
    "image": "<string>",
    "isAnonymous": true
  },
  "contact": {
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "avatar": "<string>",
    "phoneNumber": "<string>",
    "email": "<string>",
    "emailVerified": true,
    "emailOptIn": true,
    "firstName": "<string>",
    "lastName": "<string>",
    "fullName": "<string>",
    "lastReadAt": "2023-11-07T05:31:56Z",
    "ref": "<string>",
    "country": "<string>",
    "state": "<string>",
    "city": "<string>",
    "location": "<string>",
    "locale": "<string>",
    "timezone": "<string>",
    "subscribedAt": "2023-11-07T05:31:56Z",
    "broadcastSubscribedAt": "2023-11-07T05:31:56Z",
    "blockedAt": "2023-11-07T05:31:56Z",
    "workspaceId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

identifier
string
required
Minimum string length: 1
messageId
string
required
Pattern: \d+

Response

200 - application/json

OK

id
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
conversationId
string
required
contactInboxId
string
required
workspaceId
string
required
text
string | null
required
contentAttributes
required
messageType
enum<string>
required
Available options:
incoming,
outgoing,
activity
contentType
enum<string>
required
Available options:
text,
location,
refLink
senderType
enum<string>
required
Available options:
bot,
contact,
system,
user,
api
sourceId
string | null
required
senderId
unknown
clientId
string
Pattern: \d+
attachments
object[]
user
object
contact
object